<?php

$wp_customize->add_panel(
	'lz_fitness_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'gurukul')
	)
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'gurukul' ),
	'panel' => 'lz_fitness_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'gurukul'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'gurukul' ),
	'panel' => 'lz_fitness_general_panel',
) );

lzCustomLable($wp_customize, 'headerlogo_maxwidthtext', 'title_tagline', ' Site Header Logo Max Width:');

$wp_customize->add_setting(
	'pages_logomaxwidth',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '100%', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logomaxwidth',
	array(
		'settings'      => 'pages_logomaxwidth',
		'section'       => 'title_tagline',
		'type'          => 'text',
		'label'         => __( 'Logo Max Width', 'luzuk-premium' )
	)
);


   //Set header menu colour
addColorPalatOption($wp_customize, 'header_taglineColor', 'title_tagline', 'Header Tagline Color', '#000');


//HEADER LOGO MARGIN SETTINGS
$wp_customize->add_section(
	'luzuk_headerlogo_settings',
	array(
		'title' => __( 'Header Logo Margin Settings', 'luzuk-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_headerlogo_margin', 'luzuk_headerlogo_settings', ' Site Header Logo Margin:');

$wp_customize->add_setting(
	'pages_logoTmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoTmargin',
	array(
		'settings'      => 'pages_logoTmargin',
		'section'       => 'luzuk_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Top Margin', 'luzuk-premium' )
	)
);
$wp_customize->add_setting(
	'pages_logoBmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoBmargin',
	array(
		'settings'      => 'pages_logoBmargin',
		'section'       => 'luzuk_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Bottom Margin', 'luzuk-premium' )
	)
);
$wp_customize->add_setting(
	'pages_logoLmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoLmargin',
	array(
		'settings'      => 'pages_logoLmargin',
		'section'       => 'luzuk_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Left Margin', 'luzuk-premium' )
	)
);
$wp_customize->add_setting(
	'pages_logoRmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '0px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_logoRmargin',
	array(
		'settings'      => 'pages_logoRmargin',
		'section'       => 'luzuk_headerlogo_settings',
		'type'          => 'text',
		'label'         => __( 'Logo Right Margin', 'luzuk-premium' )
	)
);




//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image', 'gurukul' ),
	'panel' => 'lz_fitness_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'gurukul' ),
	'panel' => 'lz_fitness_general_panel',
) );

//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'gurukul'),
	'panel' => 'lz_fitness_general_panel',
) );

    $wp_customize->add_setting('luzuk_premium_color_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_color_section_lbl',
        array(
            'settings'      => 'luzuk_premium_color_section_lbl',
            'section'       => 'colors',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);



//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'gurukul' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

	//ENABLE/DISABLE STICKY HEADER
// $wp_customize->add_setting(
// 	'lz_fitness_sticky_header_enable',
// 	array(
// 		'sanitize_callback' => 'lz_fitness_sanitize_text',
// 		'default' => 'off'
// 	)
// );

// $wp_customize->add_control(
// 	new lz_fitness_Switch_Control(
// 		$wp_customize,
// 		'lz_fitness_sticky_header_enable',
// 		array(
// 			'settings'		=> 'lz_fitness_sticky_header_enable',
// 			'section'		=> 'header_settings',
// 			'label'			=> __( 'Sticky Header', 'gurukul' ),
// 			'on_off_label' 	=> array(
// 				'on' => __( 'Enable', 'gurukul' ),
// 				'off' => __( 'Disable', 'gurukul' )
// 			)	
// 		)
// 	)
// );
// Background color
   // addColorPalatOption($wp_customize, 'lz_fitness_sticky_header_BackgroundColor', 'header_settings', 'Sticky Header Background color', '#ffffff');

//top header
$wp_customize->add_setting(
	'lz_fitness_headermain_email',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'info@companyname.com', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_email',
	array(
		'settings'      => 'lz_fitness_headermain_email',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Email', 'lz-fitness-premium' )
	)
);
$wp_customize->add_setting(
	'lz_fitness_headermain_callnow',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Call Now', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_headermain_callnow',
	array(
		'settings'      => 'lz_fitness_headermain_callnow',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Phone', 'lz-fitness-premium' )
	)
);

$sectionHeader = 'header_settings';
// Adding the Label
lzCustomLable($wp_customize, 'lz_fitness_reservation_lblImgTxt', $sectionHeader, 'Social media icons');
//ADD TEXT BOX FOR FORM SHORTCODE
lzAddElement($wp_customize, 'lz_fitness_header_fb', $sectionHeader, 'text', $label = "Facebook", 'lz_fitness_sanitize_text', 'http://Facbook.com');
lzAddElement($wp_customize, 'lz_fitness_header_tw', $sectionHeader, 'text', $label = "Twitter", 'lz_fitness_sanitize_text', 'http://twitter.com');
lzAddElement($wp_customize, 'lz_fitness_header_in', $sectionHeader, 'text', $label = "LinedIn", 'lz_fitness_sanitize_text', 'http://Linkedin.com');

lzAddElement($wp_customize, 'lz_fitness_header_it', $sectionHeader, 'text', $label = "Instagram", 'lz_fitness_sanitize_text', 'http://Instragram.com');
lzAddElement($wp_customize, 'lz_fitness_header_yt', $sectionHeader, 'text', $label = "Youtube", 'lz_fitness_sanitize_text', 'https://www.youtube.com');


lzCustomLable($wp_customize, 'mainheader_padding', 'header_settings', ' Main Header Padding Setting:');

$wp_customize->add_setting(
    'header_Tpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '5px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'header_Tpadding',
    array(
        'settings'      => 'header_Tpadding',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'header_Bpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '5px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'header_Bpadding',
    array(
        'settings'      => 'header_Bpadding',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'header_Lpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'header_Lpadding',
    array(
        'settings'      => 'header_Lpadding',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'header_Rpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'header_Rpadding',
    array(
        'settings'      => 'header_Rpadding',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Right Padding', 'luzuk-premium' )
    )
);



lzCustomLable($wp_customize, 'header_clrlblImgTxt', 'header_settings', 'Set Header Menu Colors:');

   //Set header menu colour
addColorPalatOption($wp_customize, 'headermenu_color', 'header_settings', 'Header Menu Color', '#000');

addColorPalatOption($wp_customize, 'headerhovermenu_color', 'header_settings', 'Header Menu Hover Color', '#7854c0');

	//Set Current Menu Text colour
addColorPalatOption($wp_customize, 'headercurrentmenu_color', 'header_settings', 'Header Current Menu Color', '#7854c0');

	//Set header sub menu colour
addColorPalatOption($wp_customize, 'headersubmenu_color', 'header_settings', 'Header Dropdown Menu Color', '#fff');

addColorPalatOption($wp_customize, 'headersubmenuhover_color', 'header_settings', 'Header Dropdown Menu hover Color', '#000');

addColorPalatOption($wp_customize, 'headersubmenubghover_color', 'header_settings', 'Header Dropdown Menu Background hover Color', '#fff');

addColorPalatOption($wp_customize, 'headerdropdowncurrentsubmenu_color', 'header_settings', 'Header Dropdown Current Menu Color', '#000');

addColorPalatOption($wp_customize, 'headerdropdowncurrentsubmenubg_color', 'header_settings', 'Header Dropdown Current Menu Background Color', '#fff');

	//Header Dropdown Background Color
addColorPalatOption($wp_customize, 'headersubmenuboxbg_color', 'header_settings', 'Header Dropdown Background Color', '#7854c0');


//responsive header colors

lzCustomLable($wp_customize, 'header_lblresponsivedisplay', 'header_settings', 'Responsive / Slide On Header Setting:');

addColorPalatOption($wp_customize, 'header_navresponsivebgColor', 'header_settings', 'Header nav bar background color', '#fff');
addColorPalatOption($wp_customize, 'header_navresponsiveborderrightColor', 'header_settings', 'Header nav bar border color', '#000');
addColorPalatOption($wp_customize, 'header_navresponsiveoffbtnColor', 'header_settings', 'Header nav bar on / off button color', '#000');
addColorPalatOption($wp_customize, 'header_navresponsiveonbtnColor', 'header_settings', 'Header nav bar button hover color', '#fff');
addColorPalatOption($wp_customize, 'header_navresponsiveonbtnbgColor', 'header_settings', 'Header nav bar button hover background color', '#7854c0');


//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'lz_fitness_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'lz_fitness_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Breadcrumb', 'hide' => 'Hide Breadcrumb', ), ) ); 



$wp_customize->add_setting(
        'lz_fitness_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Home', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_breadcrumbhometxt',
        array(
            'settings'      => 'lz_fitness_breadcrumbhometxt',
            'section'       => 'lz_fitness_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here:', 'luzuk-premium' )
        )
    );

//Inner page breadcrumbbox title color
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbtitlecolor', 'lz_fitness_breadcrumb_settings', 'Breadcrumbbox title color', '#000');
//Inner page breadcrumbbox current title color
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlecolor', 'lz_fitness_breadcrumb_settings', 'Breadcrumbbox current title color', '#7854c0');
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlehovercolor', 'lz_fitness_breadcrumb_settings', 'Breadcrumbbox current title hover color', '#000');

//Inner page breadcrumbbox background color
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbbgcolor', 'lz_fitness_breadcrumb_settings', 'Breadcrumbbox background color', '#fff');
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbbgbordercolor', 'lz_fitness_breadcrumb_settings', 'Breadcrumbbox border color', '#7854c0');

// end to show & hide button


//INNER PAGE HEADING FONT SIZE SETTINGS
$wp_customize->add_section(
	'innerheadingfontsize_settings',
	array(
		'title' => __( 'Inner Page Heading Font Size Settings', 'luzuk-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

    $wp_customize->add_setting('luzuk_premium_innerpagefont_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_innerpagefont_section_lbl',
        array(
            'settings'      => 'luzuk_premium_innerpagefont_section_lbl',
            'section'       => 'innerheadingfontsize_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);



//Inner Page Box Padding Setting
$wp_customize->add_section(
	'innerboxpaddiing_settings',
	array(
		'title' => __( 'Inner Page Box Padding Setting', 'luzuk-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

    $wp_customize->add_setting('luzuk_premium_innerpage_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_innerpage_section_lbl',
        array(
            'settings'      => 'luzuk_premium_innerpage_section_lbl',
            'section'       => 'innerboxpaddiing_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);


//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'lz_fitness_postpagedate_settings',
	array(
		'title' => __( 'Post Page Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

    $wp_customize->add_setting('luzuk_premium_postpage_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'luzuk_premium_postpage_section_lbl',
        array(
            'settings'      => 'luzuk_premium_postpage_section_lbl',
            'section'       => 'lz_fitness_postpagedate_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);



//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'lz_fitness_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);


// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'lz_fitness_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Sidebar', 'hide' => 'Hide Sidebar', ), ) ); 
// end to show & hide button


//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_copyright_settings',
	array(
		'title' => __( 'Footer Copyright Settings', 'lz-fitness-premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

addColorPalatOption($wp_customize, 'footerwidgetsttlcolor_color', 'footer_copyright_settings', 'Footer Widgets Title Color', '#ffffff'); 
addColorPalatOption($wp_customize, 'footerwidgetstxttlcolor_color', 'footer_copyright_settings', 'Footer Widgets Text Color', '#989898'); 
addColorPalatOption($wp_customize, 'footerwidgetstxttlinkcolor_color', 'footer_copyright_settings', 'Footer Widgets Link Color', '#989898');  
addColorPalatOption($wp_customize, 'footerwidgetstxttlinkhvrcolor_color', 'footer_copyright_settings', 'Footer Widgets Link Hover Color', '#7854c0');  

addColorPalatOption($wp_customize, 'footer_formborder_color', 'footer_copyright_settings', 'Footer Widgets Border Color', '#fff');  

//theme Footer table days Color
addColorPalatOption($wp_customize, 'footer_tabledays_color', 'footer_copyright_settings', 'Footer Table Days Color', '#fff');

//theme Footer table days bg Color
addColorPalatOption($wp_customize, 'footer_tabledaysbg_color', 'footer_copyright_settings', 'Footer Table Days Background Color', '#7854c0');

//theme Footer table text Color
addColorPalatOption($wp_customize, 'footer_tabletext_color', 'footer_copyright_settings', 'Footer Table Text Color', '#fff');

//theme Footer table btn Color
addColorPalatOption($wp_customize, 'footer_tablebtn_color', 'footer_copyright_settings', 'Footer Table Button Color', '#fff');

//theme Footer table btn bg Color
addColorPalatOption($wp_customize, 'footer_tablebtnbg_color', 'footer_copyright_settings', 'Footer Table Button Background Color', '#7854c0');

$wp_customize->add_setting(
	'footer_copyrighttext',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Copyright © 2019 LZ Interior Decor. All Rights Reserved', 'Luzuk Premium' )
	)
);
$wp_customize->add_control(
	'footer_copyrighttext',
	array(
		'settings'      => 'footer_copyrighttext',
		'section'       => 'footer_copyright_settings',
		'type'          => 'textarea',
		'label'         => __( 'Footer Copyright Text', 'Luzuk Premium' )
	)
);
